Loading...
Searching...
No Matches
Dune::IndicesSyncer< T > Class Template Reference
Common » Parallel Communication » Parallel Computing based on Indexsets

Class for recomputing missing indices of a distributed index set. More...

`#include <dune/common/parallel/indicessyncer.hh>`

## Public Types

typedef T | ParallelIndexSet
| The type of the index set.
typedef ParallelIndexSet::IndexPair | IndexPair
| The type of the index pair.
typedef ParallelIndexSet::GlobalIndex | GlobalIndex
| Type of the global index used in the index set.
typedef ParallelIndexSet::LocalIndex::Attribute | Attribute
| Type of the attribute used in the index set.
typedef Dune::RemoteIndices< ParallelIndexSet > | RemoteIndices
| Type of the remote indices.

## Public Member Functions

| IndicesSyncer (ParallelIndexSet &indexSet, RemoteIndices &remoteIndices)
| Constructor.
void | sync ()
| Sync the index set.
template<typename T1>
void | sync (T1 &numberer, bool useFixedOrder=false)
| Sync the index set and assign local numbers to new indices.

## Detailed Description

template<typename T>
class Dune::IndicesSyncer< T >

Class for recomputing missing indices of a distributed index set.

Missing local and remote indices will be added.

The documentation for this class was generated from the following file:

- indicessyncer.hh